<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku SerialPort.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_serial_port_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#define-members">Definicje</a> &#124;
<a href="#func-members">Funkcje</a> &#124;
<a href="#var-members">Zmienne</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku SerialPort.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_serial_port.html" title="Modeluje port szeregowy.">SerialPort</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;condition_variable&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;fcntl.h&gt;</code><br />
<code>#include &lt;cstdio&gt;</code><br />
<code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;sys/stat.h&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="odbieranie_8hh_source.html">odbieranie.hh</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="transparam_8hh_source.html">transparam.hh</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla SerialPort.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8hpp__incl.png" border="0" usemap="#a_serial_port_8hpp" alt=""/></div>
<map name="a_serial_port_8hpp" id="a_serial_port_8hpp">
<area shape="rect" title="Definicja klasy SerialPort." alt="" coords="552,5,655,31"/>
<area shape="rect" title=" " alt="" coords="492,152,547,177"/>
<area shape="poly" title=" " alt="" coords="552,23,415,28,244,39,93,56,41,67,15,81,9,92,11,101,22,110,41,119,98,133,172,144,341,156,478,160,478,166,341,162,172,149,97,139,39,124,19,115,7,104,3,91,11,77,40,62,92,51,244,34,414,23,552,18"/>
<area shape="rect" title=" " alt="" coords="25,79,97,104"/>
<area shape="poly" title=" " alt="" coords="552,26,362,46,238,61,110,81,110,76,238,56,361,40,552,21"/>
<area shape="rect" title=" " alt="" coords="121,79,248,104"/>
<area shape="poly" title=" " alt="" coords="552,31,262,80,261,74,552,25"/>
<area shape="rect" title=" " alt="" coords="273,79,342,104"/>
<area shape="poly" title=" " alt="" coords="556,33,356,81,355,76,554,28"/>
<area shape="rect" title=" " alt="" coords="366,79,427,104"/>
<area shape="poly" title=" " alt="" coords="571,33,442,77,440,72,569,28"/>
<area shape="rect" title=" " alt="" coords="451,79,510,104"/>
<area shape="poly" title=" " alt="" coords="585,33,514,74,511,69,582,28"/>
<area shape="rect" title=" " alt="" coords="535,79,592,104"/>
<area shape="poly" title=" " alt="" coords="599,32,579,68,574,65,594,30"/>
<area shape="rect" title=" " alt="" coords="616,79,673,104"/>
<area shape="poly" title=" " alt="" coords="612,30,633,65,629,68,608,32"/>
<area shape="rect" title=" " alt="" coords="697,79,784,104"/>
<area shape="poly" title=" " alt="" coords="627,28,707,70,705,75,624,33"/>
<area shape="rect" title=" " alt="" coords="808,79,887,104"/>
<area shape="poly" title=" " alt="" coords="643,28,796,72,794,77,642,33"/>
<area shape="rect" title=" " alt="" coords="911,79,978,104"/>
<area shape="poly" title=" " alt="" coords="656,27,899,76,899,76,898,81,897,81,655,32"/>
<area shape="rect" href="_robot_data_8hpp.html" title="Definicja klasy RobotData." alt="" coords="1125,79,1231,104"/>
<area shape="poly" title=" " alt="" coords="655,22,851,43,1111,76,1111,81,850,48,655,27"/>
<area shape="rect" href="odbieranie_8hh.html" title=" " alt="" coords="1002,79,1101,104"/>
<area shape="poly" title=" " alt="" coords="655,24,989,76,988,81,654,29"/>
<area shape="rect" href="transparam_8hh.html" title=" " alt="" coords="1255,79,1359,104"/>
<area shape="poly" title=" " alt="" coords="655,20,904,39,1070,56,1242,76,1241,81,1069,61,903,45,655,25"/>
<area shape="rect" title=" " alt="" coords="1149,152,1207,177"/>
<area shape="poly" title=" " alt="" coords="1181,104,1181,138,1175,138,1175,104"/>
<area shape="poly" title=" " alt="" coords="1002,105,990,107,747,140,561,162,560,156,746,135,990,101,1001,99"/>
<area shape="rect" title=" " alt="" coords="1270,152,1345,177"/>
<area shape="poly" title=" " alt="" coords="1310,104,1310,138,1305,138,1305,104"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8hpp__dep__incl.png" border="0" usemap="#a_serial_port_8hppdep" alt=""/></div>
<map name="a_serial_port_8hppdep" id="a_serial_port_8hppdep">
<area shape="rect" title="Definicja klasy SerialPort." alt="" coords="142,5,245,31"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="65,79,185,104"/>
<area shape="poly" title=" " alt="" coords="175,42,138,80,134,77,171,39"/>
<area shape="rect" href="_serial_port_8cpp.html" title="Definicje metod klasy SerialPort." alt="" coords="210,79,313,104"/>
<area shape="poly" title=" " alt="" coords="216,39,252,77,248,80,212,42"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="5,152,125,177"/>
<area shape="poly" title=" " alt="" coords="109,116,77,154,73,150,105,113"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="149,152,224,177"/>
<area shape="poly" title=" " alt="" coords="146,113,179,150,175,154,142,116"/>
</map>
</div>
</div>
<p><a href="_serial_port_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_serial_port.html">SerialPort</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Modeluje port szeregowy.  <a href="class_serial_port.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:acdd0eacf8c0ad94beabef95f32d78009"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8hpp.html#acdd0eacf8c0ad94beabef95f32d78009">FRAME_LIMIT</a>&#160;&#160;&#160;50</td></tr>
<tr class="separator:acdd0eacf8c0ad94beabef95f32d78009"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:a21626d35c8ce984e1085d6224f0ba720"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8hpp.html#a21626d35c8ce984e1085d6224f0ba720">parseDataFrame</a> (const char *data_frame, <a class="el" href="class_robot_data.html">RobotData</a> *data, int data_length)</td></tr>
<tr class="memdesc:a21626d35c8ce984e1085d6224f0ba720"><td class="mdescLeft">&#160;</td><td class="mdescRight">Analizuje otrzymaną ramkę danych.  <br /></td></tr>
<tr class="separator:a21626d35c8ce984e1085d6224f0ba720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0466d31f193efdfcc7b4d13472a27254"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8hpp.html#a0466d31f193efdfcc7b4d13472a27254">checkCRC</a> (char *data_frame, int data_length, char crc)</td></tr>
<tr class="memdesc:a0466d31f193efdfcc7b4d13472a27254"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sprawdza zgodność sumy kontrolnej CRC.  <br /></td></tr>
<tr class="separator:a0466d31f193efdfcc7b4d13472a27254"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a750bdeca814dbfc7b7010d4b30c56023"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8hpp.html#a750bdeca814dbfc7b7010d4b30c56023">crc8</a> (char *data_frame, int data_length)</td></tr>
<tr class="memdesc:a750bdeca814dbfc7b7010d4b30c56023"><td class="mdescLeft">&#160;</td><td class="mdescRight">Oblicza sumę kontrolną otrzymanej ramki danych.  <br /></td></tr>
<tr class="separator:a750bdeca814dbfc7b7010d4b30c56023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6362cdaadde6e3f843a85a3713bb1e0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8hpp.html#a6362cdaadde6e3f843a85a3713bb1e0c">process</a> (<a class="el" href="class_serial_port.html">SerialPort</a> *serial)</td></tr>
<tr class="memdesc:a6362cdaadde6e3f843a85a3713bb1e0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funkcja wykonywana przez wątek czytający.  <br /></td></tr>
<tr class="separator:a6362cdaadde6e3f843a85a3713bb1e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Zmienne</h2></td></tr>
<tr class="memitem:aad7bbf4191e375baee5f99ed26694706"><td class="memItemLeft" align="right" valign="top">std::condition_variable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8hpp.html#aad7bbf4191e375baee5f99ed26694706">start</a></td></tr>
<tr class="separator:aad7bbf4191e375baee5f99ed26694706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b56d40ec3cfbf9e16772d3c02374e9f"><td class="memItemLeft" align="right" valign="top">std::mutex&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8hpp.html#a1b56d40ec3cfbf9e16772d3c02374e9f">cm</a></td></tr>
<tr class="separator:a1b56d40ec3cfbf9e16772d3c02374e9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_serial_port.html" title="Modeluje port szeregowy.">SerialPort</a>, która dziedziczy po klasie QSerialPort. Obiekt skupia się na dostarczeniu nowych slotów potrzebnych do komunikacji z robotem. </p>

<p class="definition">Definicja w pliku <a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja definicji</h2>
<a id="acdd0eacf8c0ad94beabef95f32d78009" name="acdd0eacf8c0ad94beabef95f32d78009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdd0eacf8c0ad94beabef95f32d78009">&#9670;&#160;</a></span>FRAME_LIMIT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FRAME_LIMIT&#160;&#160;&#160;50</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8hpp_source.html#l00029">29</a> pliku <a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="a21626d35c8ce984e1085d6224f0ba720" name="a21626d35c8ce984e1085d6224f0ba720"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21626d35c8ce984e1085d6224f0ba720">&#9670;&#160;</a></span>parseDataFrame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool parseDataFrame </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>data_frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_robot_data.html">RobotData</a> *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>data_length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Ramkę w postaci tablicy rzutuje na strumień danych. Sprawdzana jest poprawność ramki (pierwszy znak) a następnie dane zostają wczytane i aktualizowane w obiekcie <a class="el" href="class_robot_data.html" title="Zbiór wszystkich danych otrzymywanych z robota.">RobotData</a>.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data_frame</td><td>- ramka danych </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>- obiekt przechowywujący wszystkie dane robota</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>Zwraca true jeżeli dane zostały wczytane poprawnie lub false jeżeli znak startu ramki sie nie zgadzał lub nastąpił błąd strumienia wejściowego. </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00102">102</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8hpp_a21626d35c8ce984e1085d6224f0ba720_cgraph.png" border="0" usemap="#a_serial_port_8hpp_a21626d35c8ce984e1085d6224f0ba720_cgraph" alt=""/></div>
<map name="a_serial_port_8hpp_a21626d35c8ce984e1085d6224f0ba720_cgraph" id="a_serial_port_8hpp_a21626d35c8ce984e1085d6224f0ba720_cgraph">
<area shape="rect" title="Analizuje otrzymaną ramkę danych." alt="" coords="5,80,124,105"/>
<area shape="rect" href="_serial_port_8cpp.html#a0466d31f193efdfcc7b4d13472a27254" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="209,5,293,31"/>
<area shape="poly" title=" " alt="" coords="89,78,171,40,195,31,197,36,173,44,91,82"/>
<area shape="rect" href="class_robot_data.html#affa0add6183e662083841442a9976cb3" title="Aktualizuje dane z transoptorów odbiciowych." alt="" coords="175,55,327,80"/>
<area shape="poly" title=" " alt="" coords="124,82,162,77,162,82,125,87"/>
<area shape="rect" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f" title="Aktualizuje dane z czujników odległości." alt="" coords="172,104,331,129"/>
<area shape="poly" title=" " alt="" coords="125,98,159,102,158,107,124,103"/>
<area shape="rect" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa" title="Aktualizuje prędkości silników." alt="" coords="175,153,328,179"/>
<area shape="poly" title=" " alt="" coords="93,103,173,138,196,147,194,152,171,143,91,108"/>
<area shape="rect" href="_serial_port_8cpp.html#a750bdeca814dbfc7b7010d4b30c56023" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="379,5,425,31"/>
<area shape="poly" title=" " alt="" coords="294,15,365,15,365,21,294,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8hpp_a21626d35c8ce984e1085d6224f0ba720_icgraph.png" border="0" usemap="#a_serial_port_8hpp_a21626d35c8ce984e1085d6224f0ba720_icgraph" alt=""/></div>
<map name="a_serial_port_8hpp_a21626d35c8ce984e1085d6224f0ba720_icgraph" id="a_serial_port_8hpp_a21626d35c8ce984e1085d6224f0ba720_icgraph">
<area shape="rect" title="Analizuje otrzymaną ramkę danych." alt="" coords="423,5,541,31"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="a0466d31f193efdfcc7b4d13472a27254" name="a0466d31f193efdfcc7b4d13472a27254"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0466d31f193efdfcc7b4d13472a27254">&#9670;&#160;</a></span>checkCRC()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool checkCRC </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>data_frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>data_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>crc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Oczyszcza ramkę danych wydobywając tylko te użyteczne wartości a następnie liczy dla takiej tablicy sumę kontrolną, która to jest porównywana z otrzymaną w ramce. </p>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00150">150</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8hpp_a0466d31f193efdfcc7b4d13472a27254_cgraph.png" border="0" usemap="#a_serial_port_8hpp_a0466d31f193efdfcc7b4d13472a27254_cgraph" alt=""/></div>
<map name="a_serial_port_8hpp_a0466d31f193efdfcc7b4d13472a27254_cgraph" id="a_serial_port_8hpp_a0466d31f193efdfcc7b4d13472a27254_cgraph">
<area shape="rect" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="5,5,89,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a750bdeca814dbfc7b7010d4b30c56023" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="137,5,184,31"/>
<area shape="poly" title=" " alt="" coords="90,15,124,15,124,21,90,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8hpp_a0466d31f193efdfcc7b4d13472a27254_icgraph.png" border="0" usemap="#a_serial_port_8hpp_a0466d31f193efdfcc7b4d13472a27254_icgraph" alt=""/></div>
<map name="a_serial_port_8hpp_a0466d31f193efdfcc7b4d13472a27254_icgraph" id="a_serial_port_8hpp_a0466d31f193efdfcc7b4d13472a27254_icgraph">
<area shape="rect" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="589,5,673,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="423,5,541,31"/>
<area shape="poly" title=" " alt="" coords="576,21,542,21,542,15,576,15"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="a750bdeca814dbfc7b7010d4b30c56023" name="a750bdeca814dbfc7b7010d4b30c56023"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a750bdeca814dbfc7b7010d4b30c56023">&#9670;&#160;</a></span>crc8()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char crc8 </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>data_frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>data_length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00166">166</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8hpp_a750bdeca814dbfc7b7010d4b30c56023_icgraph.png" border="0" usemap="#a_serial_port_8hpp_a750bdeca814dbfc7b7010d4b30c56023_icgraph" alt=""/></div>
<map name="a_serial_port_8hpp_a750bdeca814dbfc7b7010d4b30c56023_icgraph" id="a_serial_port_8hpp_a750bdeca814dbfc7b7010d4b30c56023_icgraph">
<area shape="rect" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="721,5,768,31"/>
<area shape="rect" href="_serial_port_8cpp.html#a0466d31f193efdfcc7b4d13472a27254" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="589,5,673,31"/>
<area shape="poly" title=" " alt="" coords="707,21,673,21,673,15,707,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="423,5,541,31"/>
<area shape="poly" title=" " alt="" coords="576,21,542,21,542,15,576,15"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<a id="a6362cdaadde6e3f843a85a3713bb1e0c" name="a6362cdaadde6e3f843a85a3713bb1e0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6362cdaadde6e3f843a85a3713bb1e0c">&#9670;&#160;</a></span>process()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void process </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_serial_port.html">SerialPort</a> *&#160;</td>
          <td class="paramname"><em>serial</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wątek rozpoczyna pracę w funkcji "main" i czeka na sygnał od zmiennej warunkowej. Po otrzymaniu sygnału czyta dane z pliku, dopóki nie nastąpi zamknięcie deskryptora. </p>

<p class="definition">Definicja w linii <a class="el" href="_serial_port_8cpp_source.html#l00194">194</a> pliku <a class="el" href="_serial_port_8cpp_source.html">SerialPort.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8hpp_a6362cdaadde6e3f843a85a3713bb1e0c_cgraph.png" border="0" usemap="#a_serial_port_8hpp_a6362cdaadde6e3f843a85a3713bb1e0c_cgraph" alt=""/></div>
<map name="a_serial_port_8hpp_a6362cdaadde6e3f843a85a3713bb1e0c_cgraph" id="a_serial_port_8hpp_a6362cdaadde6e3f843a85a3713bb1e0c_cgraph">
<area shape="rect" title="Funkcja wykonywana przez wątek czytający." alt="" coords="5,104,73,129"/>
<area shape="rect" href="class_serial_port.html#a04a364848114cc5e6d9fb618b6b0a66d" title="Metoda decydująca o kontynuacji czytania." alt="" coords="121,79,281,104"/>
<area shape="poly" title=" " alt="" coords="73,109,107,103,108,109,74,114"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="124,128,279,153"/>
<area shape="poly" title=" " alt="" coords="74,119,110,124,110,130,73,124"/>
<area shape="rect" href="_serial_port_8cpp.html#a21626d35c8ce984e1085d6224f0ba720" title="Analizuje otrzymaną ramkę danych." alt="" coords="355,79,474,104"/>
<area shape="poly" title=" " alt="" coords="256,125,345,105,346,110,258,131"/>
<area shape="rect" href="class_serial_port.html#a19e9af50f81a100e0e9bbaa5e2027b3d" title="Zwraca deskryptor pliku." alt="" coords="329,128,500,153"/>
<area shape="poly" title=" " alt="" coords="279,138,316,138,316,143,279,143"/>
<area shape="rect" href="odbieranie_8hh.html#aac03f023f654bbad587c2f5c0894e0bf" title=" " alt="" coords="359,177,471,203"/>
<area shape="poly" title=" " alt="" coords="258,151,346,172,345,177,256,156"/>
<area shape="rect" href="_serial_port_8cpp.html#a0466d31f193efdfcc7b4d13472a27254" title="Sprawdza zgodność sumy kontrolnej CRC." alt="" coords="585,5,669,31"/>
<area shape="poly" title=" " alt="" coords="447,76,547,39,571,32,573,37,549,45,449,81"/>
<area shape="rect" href="class_robot_data.html#affa0add6183e662083841442a9976cb3" title="Aktualizuje dane z transoptorów odbiciowych." alt="" coords="551,55,703,80"/>
<area shape="poly" title=" " alt="" coords="474,82,537,75,538,80,475,87"/>
<area shape="rect" href="class_robot_data.html#aee64ded96944fd7d61557f566a5c804f" title="Aktualizuje dane z czujników odległości." alt="" coords="548,104,707,129"/>
<area shape="poly" title=" " alt="" coords="475,96,535,103,534,108,474,101"/>
<area shape="rect" href="class_robot_data.html#adc9b093e38bfe8ae8eaf3f70e5cacefa" title="Aktualizuje prędkości silników." alt="" coords="551,153,704,179"/>
<area shape="poly" title=" " alt="" coords="468,101,501,113,549,138,570,146,568,151,547,143,499,118,466,107"/>
<area shape="rect" href="_serial_port_8cpp.html#a750bdeca814dbfc7b7010d4b30c56023" title="Oblicza sumę kontrolną otrzymanej ramki danych." alt="" coords="755,5,801,31"/>
<area shape="poly" title=" " alt="" coords="670,15,741,15,741,21,670,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="_serial_port_8hpp_a6362cdaadde6e3f843a85a3713bb1e0c_icgraph.png" border="0" usemap="#a_serial_port_8hpp_a6362cdaadde6e3f843a85a3713bb1e0c_icgraph" alt=""/></div>
<map name="a_serial_port_8hpp_a6362cdaadde6e3f843a85a3713bb1e0c_icgraph" id="a_serial_port_8hpp_a6362cdaadde6e3f843a85a3713bb1e0c_icgraph">
<area shape="rect" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja zmiennych</h2>
<a id="aad7bbf4191e375baee5f99ed26694706" name="aad7bbf4191e375baee5f99ed26694706"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad7bbf4191e375baee5f99ed26694706">&#9670;&#160;</a></span>start</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::condition_variable start</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="main_8cpp_source.html#l00007">7</a> pliku <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>

</div>
</div>
<a id="a1b56d40ec3cfbf9e16772d3c02374e9f" name="a1b56d40ec3cfbf9e16772d3c02374e9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b56d40ec3cfbf9e16772d3c02374e9f">&#9670;&#160;</a></span>cm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::mutex cm</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="main_8cpp_source.html#l00008">8</a> pliku <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_serial_port_8hpp.html">SerialPort.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
